Subject: Re: bug#9344: closed (Re: bug#9344: about the command of 'cat')

From: 博高 <[email-masked]>
Date: Tue, 23 Aug 2011 11:08:55 +0800

Thanks very much

On Tue, Aug 23, 2011 at 4:17 AM, GNU bug Tracking System
<[email-masked]> wrote:
> Your bug report
>
> #9344: about the command of 'cat'
>
> which was filed against the coreutils package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 9344: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9344
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
> ---------- Forwarded message ----------
> From: Bob Proulx <[email-masked]>
> To: 博高 <[email-masked]>
> Date: Mon, 22 Aug 2011 14:14:00 -0600
> Subject: Re: bug#9344: about the command of 'cat'
> tags 9344 + notabug
> thanks
>
> 博高 wrote:
>> Hello:
>>   I am a user of ubuntu 10.04.2.While I am trying to use 'cat' to
>> display a binary file.....Every letter on my display goes wrong....
>>   yours GB from China
>
> The 'cat' program copies each file to standard output concatenating
> files.  It is working properly.  What you are seeing are the contents
> of the files to the terminal.  Whether the terminal can display that
> binary data or not is not a bug in cat.  Your data is almost certainly
> in a character encoding that is not understood by the terminal.  You
> could reconfigure the terminal or recode the file into a different
> characer set.
>
> Since the purpose of 'cat' is to concatenate files it must not modify
> or filter the files in the process.  What goes in should come out.
> The 'cat' program is typically used to assemble parts of files
> together.  It is doing that correctly.
>
> To browse files you should use a file browser such as 'more', 'less',
> 'most', or other programs that act as terminal pagers.  For binary
> files it may be more useful to use 'od -tx1', 'hexdump', 'xxd' or
> other program that converts binary data into text codes and then
> piping the output to a pager.
>
> It is historically traditional on Unix-like systems to use cat to
> write short text files to the terminal.  However this is done with
> full knowledge that it only behaves as desired on short text files
> that do not contain terminal control sequences.  If they do then the
> user running cat to write the file to the terminal must be prepared to
> accept the consequences and be able to reset the terminal if needed.
>
> Since this is not a bug in cat but instead a misuse of it I am going
> to close the bug report.
>
> Hope this helps,
> Bob
>
>
>
> ---------- Forwarded message ----------
> From: 博高 <[email-masked]>
> To: [email-masked]
> Date: Tue, 23 Aug 2011 03:21:51 +0800
> Subject: about the command of 'cat'
> Hello:
>  I am a user of ubuntu 10.04.2.While I am trying to use 'cat' to
> display a binary file.....Every letter on my display goes wrong....
>  yours GB from China
>
>
>
>